package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignRequestDTO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.stereotype.Service;

@Service
public interface CampaignExecuteService {
    //<editor-fold: hungtt>
    ResultDTO getComboBoxStatus(String companySiteId, String completeType);

    ResultDTO getComboCampaignType(String companySiteId);

    ResultDTO searchInteractiveResult(CampaignRequestDTO dto);

    XSSFWorkbook exportInteractiveResult(CampaignRequestDTO dto);
    //</editor-fold>
}
